Package: io.vertx.ext.groovy.eventbus.bridge.tcp

## [Groovy] Class TcpEventBusBridge

- io.vertx.ext.groovy.eventbus.bridge.tcp.TcpEventBusBridge

- TCP EventBus bridge for Vert.x

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TcpEventBusBridge (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Close the current socket.
    `void` | `close()` Close the current socket.
    `static TcpEventBusBridge` | `create(Vertx vertx)`
    `static TcpEventBusBridge` | `create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> options)`
    `static TcpEventBusBridge` | `create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> options, java.util.Map<java.lang.String, java.lang.Object> netServerOptions)`
    `java.lang.Object` | `getDelegate()`
    `TcpEventBusBridge` | `listen()` Listen on default port 7000
    `TcpEventBusBridge` | `listen(io.vertx.core.Handler<io.vertx.core.AsyncResult<TcpEventBusBridge>> handler)` Listen on default port 7000 with a handler to report the state of the socket listen operation.
    `TcpEventBusBridge` | `listen(int port, java.lang.String address)` Listen on specific port and bind to specific address
    `TcpEventBusBridge` | `listen(int port, java.lang.String address, io.vertx.core.Handler<io.vertx.core.AsyncResult<TcpEventBusBridge>> handler)` Listen on specific port and bind to specific address
    `TcpEventBusBridge` | `listen(int port)` Listen on specific port
    `TcpEventBusBridge` | `listen(int port, io.vertx.core.Handler<io.vertx.core.AsyncResult<TcpEventBusBridge>> handler)` Listen on specific port

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### TcpEventBusBridge(java.lang.Object delegate)

  - ### Method Detail

    - #### void close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Close the current socket.

      Parameters:
        `handler` - the result handler

    - #### void close()

      Close the current socket.

    - #### static TcpEventBusBridge create(Vertx vertx)

    - #### static TcpEventBusBridge create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> options)

    - #### static TcpEventBusBridge create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> options, java.util.Map<java.lang.String, java.lang.Object> netServerOptions)

    - #### java.lang.Object getDelegate()

    - #### TcpEventBusBridge listen()

      Listen on default port 7000

      Returns:
        self

    - #### TcpEventBusBridge listen(io.vertx.core.Handler<io.vertx.core.AsyncResult<TcpEventBusBridge>> handler)

      Listen on default port 7000 with a handler to report the state of the socket listen operation.

      Returns:
        self
      Parameters:
        `handler` - the result handler

    - #### TcpEventBusBridge listen(int port, java.lang.String address)

      Listen on specific port and bind to specific address

      Returns:
        self
      Parameters:
        `port` - tcp port
        `address` - tcp address to the bind

    - #### TcpEventBusBridge listen(int port, java.lang.String address, io.vertx.core.Handler<io.vertx.core.AsyncResult<TcpEventBusBridge>> handler)

      Listen on specific port and bind to specific address

      Returns:
        self
      Parameters:
        `port` - tcp port
        `address` - tcp address to the bind
        `handler` - the result handler

    - #### TcpEventBusBridge listen(int port)

      Listen on specific port

      Returns:
        self
      Parameters:
        `port` - tcp port

    - #### TcpEventBusBridge listen(int port, io.vertx.core.Handler<io.vertx.core.AsyncResult<TcpEventBusBridge>> handler)

      Listen on specific port

      Returns:
        self
      Parameters:
        `port` - tcp port
        `handler` - the result handler